<div class="container-fluid">
    <%if (runners.length === 0) {%>
        <p>
            This course does not use code sandbox.<br>That's OK, there's more to life than just coding... <i class="far fa-hand-peace"></i>
        </p>
    <%}%>
    <ul class="nav nav-tabs" role="tablist">
    <% for (var i = 0; i < runners.length; ++i) { %>
      <li class="nav-item">
        <a class="nav-link <%= (i === 0) ? 'active' : '' %>" role="tab" data-toggle="tab" href="#tab<%=i%>">#<%=i+1%>.<%=runners[i].name%></a>
      </li>
    <% } %>
    </ul>
    <div class="tab-content">
    <%if (snippet) {%>
        <div class="row" style="text-align: center;">
            <span class="edgar-code">
                <%-snippet.is_public ? '<i class="fa fa-2 fa-eye" title="This snip is public. Kudos!"></i>' : '<i class="fa fa-2 fa-user-secret" title="This snip is private."></i>' %>
                Id: <%=snippet.id%>, Title: «<%=snippet.title%>»
                &nbsp;&nbsp;&nbsp;&nbsp;<i class="fa fa-2 fa-user-circle"></i>: <%=snippet.first_name%> <%=snippet.last_name%> @ <%=snippet.ts_modified%></span>
        </div>
    <%}%>
    <% for (var i = 0; i < runners.length; ++i) { %>
        <div role="tabpanel" class="tab-pane <%=(i === 0) ? 'active' : ''%>" id="tab<%=i%>">

        <div class="container-fluid">
            <div class="row">
                <div class="edgar-overlap border w-100">
                    <textarea id="codeEditor<%=runners[i].ordinal%>" name="codeEditor<%=runners[i].ordinal%>" ordinal="<%=runners[i].ordinal%>" style="display: none"><%= snippet ? snippet.code : locals.publicCode ? locals.publicCode : '\n\n\n\n\n\n\n\n'%></textarea>
                    <div class="edgar-right-overlap-menu" >
                            <button style="margin-left:auto; margin-right:0; margin-bottom: 2px; display: block;" class="btn btn-success edgar-overlap-btn-w" type="submit"  title="Ctrl+Enter" name="runCode" ordinal="<%=runners[i].ordinal%>" value="run" >Run</button>
                            <%if (snippet) {%>
                                <button style="margin-left:auto; margin-right:0; margin-bottom: 2px; display: block;" class="btn btn-primary edgar-overlap-btn-w" type="submit"  name="saveSnippet" ordinal="<%=runners[i].ordinal%>" value="saveSnippet" snippetId="<%=snippet.id%>" >Save</button>
                            <%}%>
                            <button style="margin-left:auto; margin-right:0; margin-bottom: 2px; display: block;" class="btn btn-primary edgar-overlap-btn-w" type="submit"  name="saveAsSnippet" ordinal="<%=runners[i].ordinal%>" value="saveAsSnippet" <%= snippet ? 'snippetId="' +  snippet.id  + '"': ''%> >Save As</button>
                            <div style="margin-left:auto; margin-right:0; margin-bottom: 2px; display: block;" class="dropdown">
                              <button class="btn btn-primary dropdown-toggle" type="button" name="openSnippet" ordinal="<%=runners[i].ordinal%>" value="openSnippet" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                Open snippet
                              </button>
                              <div id="openSnippetList" class="dropdown-menu menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">
                                <a class="dropdown-item" href="#"><i class="fa fa-2 fa-spinner fa-spin"></i> Loading...</a>
                              </div>
                            </div>
                            <div style="margin-left:auto; margin-right:0; margin-bottom: 2px; display: block;" class="dropdown">
                              <button class="btn btn-primary dropdown-toggle" type="button" name="insertSnippet" ordinal="<%=runners[i].ordinal%>" value="insertSnippet" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                Insert snippet
                              </button>
                              <div id="insertSnippetList" class="dropdown-menu menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">
                                <a class="dropdown-item" href="#"><i class="fa fa-2 fa-spinner fa-spin"></i> Loading...</a>
                              </div>
                            </div>
                            <%if (snippet) {%>
                            <form method="post" action="/playground/sandbox/snippet/<%=snippet.id%>/delete">
                                <button style="margin-left:auto; margin-right:0; margin-bottom: 2px; display: block;" class="btn btn-danger edgar-overlap-btn-w" type="submit"  name="deleteSnippet"  snippetId="" >Delete</button>
                            </form>
                            <form method="post" action="/playground/sandbox/snippet/<%=snippet.id%>/togglepublish">
                                <button style="margin-left:auto; margin-right:0; margin-bottom: 2px; display: block;" class="btn btn-success edgar-overlap-btn-w" type="submit"><%-snippet.is_public ? 'Un' : '' %>Publish</button>
                            </form>
                            <%}%>

                    </div>
                </div>
                <div id="codeMessage<%=runners[i].ordinal%>" class="container-fluid sql_result" ></div>
                <div id="codeResult<%=runners[i].ordinal%>" class="container-fluid sql_result" ></div>
            </div>
        </div>
      </div>
    <% } %>
    </div>
</div>

